# stj
stj is my personal build of the st terminal. I use it as a ways of becoming
more familiar with the C programming language.

# Goals
- [x] Start using CMake
    * Maybe also convert the Makefile wrapper to CMake?
- [ ] split the original codebase into logical segments I can work with
    * use clang-format to keep things tidy
- [ ] apply my preferred patches, using the same structure as above
- [ ] clean up the config file; make it more accessible

# Cool ideas I want to try
- [ ] use the [tmux source code](https://github.com/tmux/tmux) to add tmux to 
      the terminal natively, adding only the features I use
- [ ] add a native shell? (possible the
[ion shell](https://github.com/redox-os/ion))

# Installing
The provided Makefile is a wrapper around CMake. It allows you to build 2 
versions: debug (the default) and release. The debug build doesn't optimize 
anything, and adds the address sanitizer.

Running `make install` will build the release version, and install it in
`/usr/local` by default. The prefix can be changed in the Makefile.
